Bug 1088470 - [GSS] (6.3.0) ConnectionListener leaked if TSR throws IllegalStateException and NPE in SemaphoreArrayListManagedConnectionPool
Summary: [GSS] (6.3.0) ConnectionListener leaked if TSR throws IllegalStateException a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: EAP 6.3.0
Assignee: jolee
QA Contact: Martin Simka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1080126 JBJCA-1159-JBJCA-1161for-6.2 1082812 1116886
TreeView+ depends on / blocked
 
Reported: 2014-04-16 16:54 UTC by Brad Maxwell
Modified: 2018-12-05 18:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug in previous releases of JBoss EAP 6 caused the `ConnectionListener` to be leaked if TSR threw an `IllegalStateException` and NPE in `SemaphoreArrayListManagedConnectionPool`. This issue was resolved in this release of the product.
Clone Of: JBJCA-1159-JBJCA-1161for-6.2
Environment:
Last Closed: 2014-08-06 14:40:04 UTC
Type: Bug
jolee: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JBJCA-1159 Blocker Closed ConnectionListener leaked if TSR throws IllegalStateException 2018-01-04 10:59:02 UTC
Red Hat One Jira Issue Tracker JBJCA-1161 Blocker Closed NPE in SemaphoreArrayListManagedConnectionPool 2018-01-04 10:59:02 UTC

Comment 3 Martin Simka 2014-07-30 12:16:59 UTC
verified

Comment 4 sgilda 2014-07-30 12:42:22 UTC
Changed the Doc Type from 'Known Issue' to 'Bug Fix' and modified the Doc Text field to match the new status.


Note You need to log in before you can comment on or make changes to this bug.